# Compilation de kernel pour VM Debian avec processeur Intel

Récupération, décompression des sources du Kernel linux sur kernel.org, optimisation des réglages pour utilisation dans une VM.

## Usage

```
sudo bash kernel.sh [branch] [version] [compile]
```

* branch : la branche majeur du kernel
* version : la version du kernel à utiliser
* compile : **optionnel**, utilisé pour passer la récupération des sources et leur décompression

Exemple :

```
sudo bash kernel.sh 6.x 6.6.1
```


## TODO

* voir s'il est possible d'optimiser encore plus les disable/enable en restant stable
* trouver comment rendre compatible le kernel pour une VM avec drivers Nvidia
* ajouter le test de la signature du kernel après téléchargement

## CHANGELOG

### 2023-11-30

* Amélioration des sélections dans les options (enable/disable)
* Ajout d'un flag TESTING conditionnant l'appel de la fonction doDefaultsTesting _(pour tester d'autres options...)_

### 2023-11-24

* Correction de bugs liés aux disable/enable _(options du .config)_
* Test ok avec v6.6.1 et v6.6.2 du kernel sur VM Debian sous Proxmox

### 2023-11-22

* Commit initial
